# Uses of Class
javax.swing.JDesktopPane

Packages that use JDesktopPane
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of JDesktopPane in javax.swing

Methods in javax.swing that return JDesktopPane
Modifier and Type
Method
Description
`JDesktopPane`
JInternalFrame.`getDesktopPane()`
Convenience method that searches the ancestor hierarchy for a `JDesktop` instance.
`JDesktopPane`
JInternalFrame.JDesktopIcon.`getDesktopPane()`
Convenience method to ask the icon for the `Desktop` object it belongs to.
`static JDesktopPane`
JOptionPane.`getDesktopPaneForComponent(Component parentComponent)`
Returns the specified component's desktop pane.

## Uses of JDesktopPane in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JDesktopPane
Modifier and Type
Field
Description
`protected JDesktopPane`
BasicDesktopPaneUI.`desktop`
The instance of `JDesktopPane`.